/**
 * Copyright (c) 2014-2015 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.microkernel.container.utest;

import java.io.IOException;
import java.util.logging.Logger;

import javax.jbi.JBIException;
import javax.jbi.component.Component;
import javax.management.ObjectName;
import javax.naming.InitialContext;
import javax.naming.NamingException;

import org.objectweb.fractal.fraclet.annotations.Interface;
import org.ow2.petals.jbi.descriptor.original.generated.Jbi;
import org.ow2.petals.microkernel.api.container.ContainerService;
import org.ow2.petals.microkernel.api.container.Installer;
import org.ow2.petals.microkernel.api.jbi.management.AdminService;
import org.ow2.petals.microkernel.api.jbi.management.Context;
import org.ow2.petals.microkernel.api.jbi.messaging.RouterService;
import org.ow2.petals.microkernel.api.jbi.messaging.registry.EndpointRegistry;
import org.ow2.petals.microkernel.api.jbi.servicedesc.PetalsServiceEndpoint;

@org.objectweb.fractal.fraclet.annotations.Component(provides = @Interface(name = "service", signature = Installer.class))
public class DummyInstallerImpl implements Installer {

    private Jbi jbiDescriptor;

    @Override
    public ObjectName getInstallerConfigurationMBean() throws JBIException {
        return null;
    }

    @Override
    public String getInstallRoot() {
        return null;
    }

    @Override
    public ObjectName install() throws JBIException {
        return null;
    }

    @Override
    public boolean isInstalled() {
        return false;
    }

    @Override
    public void uninstall() throws JBIException {
        // NOP
    }

    @Override
    public Jbi getJBIDescriptor() {
        return this.jbiDescriptor;
    }

    @Override
    public String getInstallationRoot() {
        return null;
    }

    @Override
    public String getWorkspaceRoot() {
        return null;
    }

    @Override
    public AdminService getAdminService() {
        return null;
    }

    @Override
    public ContainerService getContainerService() {
        return null;
    }

    @Override
    public PetalsServiceEndpoint getAddress() {
        return null;
    }

    @Override
    public EndpointRegistry getEndpointRegistry() {
        return null;
    }

    @Override
    public Logger getLogger() {
        return null;
    }

    @Override
    public RouterService getRouterService() {
        return null;
    }

    @Override
    public InitialContext getInitialContext() {
        return null;
    }

    @Override
    public void init(final Context ctxt) throws IOException, JBIException, NamingException {
        // NOP
    }

    @Override
    public void initBootstrap(boolean install) throws JBIException {
        // NOP
    }

    @Override
    public void shutdown() throws JBIException {
        // NOP
    }

    @Override
    public Component getComponent() {
        return null;
    }

    @Override
    public String getComponentName() {
        return null;
    }

}
